package com.sifang.modules.sunshine.settleSet.vo;

import org.hibernate.validator.constraints.NotBlank;

import java.math.BigDecimal;
import java.util.Date;

public class SaveRewardVo {

    @NotBlank(message = "id不能为空")
    public String id ;

    private String type;

    private String number;

    private String lowData;

    private String highData;

    private String ratioData;

    private String status;

    private Date lowTime;

    private Date highTime;

    private String settlementNodes;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getLowData() {
        return lowData;
    }

    public void setLowData(String lowData) {
        this.lowData = lowData;
    }

    public String getHighData() {
        return highData;
    }

    public void setHighData(String highData) {
        this.highData = highData;
    }

    public String getRatioData() {
        return ratioData;
    }

    public void setRatioData(String ratioData) {
        this.ratioData = ratioData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getLowTime() {
        return lowTime;
    }

    public void setLowTime(Date lowTime) {
        this.lowTime = lowTime;
    }

    public Date getHighTime() {
        return highTime;
    }

    public void setHighTime(Date highTime) {
        this.highTime = highTime;
    }

    public String getSettlementNodes() {
        return settlementNodes;
    }

    public void setSettlementNodes(String settlementNodes) {
        this.settlementNodes = settlementNodes;
    }
}
